## tdeartwork-trinity 14.0.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdeartwork )

set( PACKAGE tdeartwork )
set( VERSION R14.0.5 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckIncludeFileCXX )
include( CheckCXXSourceCompiles )

##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_XSCREENSAVER "Enable xscreensavers support" ON )
option( WITH_LIBART "Enable libart support" ON )
option( WITH_OPENGL "Enable 3D GL modes" ON )
option( WITH_ARTS "Enable aRts support" OFF )

##### options comments ##########################

# WITH_XSCREENSAVER affects tdescreensaver
# WITH_LIBART       affects tdescreensaver
# WITH_OPENGL       affects tdescreensaver
# WITH_ARTS         affects tdescreensaver

# NOTE: These flags control which screensavers are compiled/installed.

##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_EMOTICONS "Build emoticons" ${BUILD_ALL} )
option( BUILD_ICEWM_THEMES "Build icewm-themes" ${BUILD_ALL} )
option( BUILD_ICON_THEMES "Build icon themes" ${BUILD_ALL} )
option( BUILD_TDESCREENSAVER "Build tdescreensaver" ${BUILD_ALL} )
option( BUILD_TWIN_STYLES "Build twin styles" ${BUILD_ALL} )
option( BUILD_KWORLDCLOCK "Build kworldclock" ${BUILD_ALL} )
option( BUILD_SOUNDS "Build sounds" ${BUILD_ALL} )
option( BUILD_STYLES "Build styles" ${BUILD_ALL} )
option( BUILD_WALLPAPERS "Build wallpapers" ${BUILD_ALL} )

##### configure checks ##########################

include( ConfigureChecks.cmake )

###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### tdenetwork directories ####################

tde_conditional_add_subdirectory( BUILD_EMOTICONS emoticons )
tde_conditional_add_subdirectory( BUILD_ICEWM_THEMES icewm-themes )
tde_conditional_add_subdirectory( BUILD_ICON_THEMES IconThemes )
tde_conditional_add_subdirectory( BUILD_TDESCREENSAVER tdescreensaver )
tde_conditional_add_subdirectory( BUILD_TWIN_STYLES twin-styles )
tde_conditional_add_subdirectory( BUILD_KWORLDCLOCK kworldclock )
tde_conditional_add_subdirectory( BUILD_SOUNDS sounds )
tde_conditional_add_subdirectory( BUILD_STYLES styles )
tde_conditional_add_subdirectory( BUILD_WALLPAPERS wallpapers )

##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## tdeartwork-trinity 14.0.4

=== debian/changelog ===
tdeartwork-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 12:00:42 +0200

tdeartwork-trinity (4:3.5.10-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdeartwork-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 28 Feb 2009 14:52:00 -0600

tdeartwork-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Intrepid -trinity packaging update

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 24 Nov 2008 16:53:00 -0600

tdeartwork (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump build-dep version of tdelibs4-dev and tdebase-dev to 3.5.10
    - Add xscreensaver-data-extra to build-dep

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:41:02 -0400

tdeartwork (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:06 +0000

tdeartwork (4:3.5.8-1ubuntu4) hardy; urgency=low

  * Fix tdescreensaver-xsavers-webcollage.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Dec 2007 16:06:47 +0000

tdeartwork (4:3.5.8-1ubuntu3) hardy; urgency=low

  * Edit tdescreensaver-xsaver-webcollage.install to use the file
    from sources, since it does not get installed during build.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 23:36:57 +0000

tdeartwork (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 10:51:47 +0000

tdeartwork (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change:
   - Add package tdescreensaver-xsavers-extra

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:44 +0000

tdeartwork (4:3.5.8-1) unstable; urgency=low
 
  * New upstream release. 

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Redo buildprep.
  * Bump build-dependencies and stuff to 3.5.8.

  +++ Changes by Sune Vuorela:

  * Only make tdeartwork recommend tdescreensaver-xsavers, not depend. It pulls
    all sorts of weird gtk-stuff in.
  * Fix spelling error in control file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 11 Oct 2007 00:25:56 +0200

tdeartwork (4:3.5.7-2) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Webcollage needs a wordlist to work. Add proper depends.
  * Webcollage needs ppmmake from netpbm to function. Add proper depends.
  * Implement use of uploaders.mk and update control file.

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Remove the hook to the xteevee screensaver since it has been removed
    from xscreensaver. (Closes: #436364)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 07 Aug 2007 19:00:51 +0200

tdeartwork (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:25 +0100

tdeartwork (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * Added kubuntu_01_dont_use_xscreensaver_by_default.diff which is the
    last upload, in patch form, as opposed to directly patching the
    source. Clearly my brain isnt so good tonight.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 02 Jul 2007 19:14:40 +1000

tdeartwork (4:3.5.7-1ubuntu2) gutsy; urgency=low
 .
   * Removed TryExec=xscreensaver from all the
     tdescreensaver/kxsconfig/ScreenSavers/*.desktop files, so that they can be
     controlled in the KDE screensavers control panel.  Closes LP: #49228

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Mon, 02 Jul 2007 17:13:01 +1000

tdeartwork (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 16:01:05 +0100

tdeartwork (4:3.5.7-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 15 May 2007 22:30:44 +0100

tdeartwork (4:3.5.6-4ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:55 +0100

tdeartwork (4:3.5.6-4) unstable; urgency=low

  * Really upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Apr 2007 13:57:49 +0100

tdeartwork (4:3.5.6-3) experimental; urgency=low

  * Upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 20 Apr 2007 12:48:34 +0100

tdeartwork (4:3.5.6-2) experimental; urgency=low

  +++ Changes by Sune Vuorela:

  * Ship the webcollage screensaver in a separate package. (Closes: #384100)

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Add tdescreensaver-xsavers-webcollage.README.Debian.
  * Remade screensaver-xsavers-webcollage description in debian/control.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 31 Jan 2007 06:01:40 +0100

tdeartwork (4:3.5.6-1) experimental; urgency=low

  * New upstream release.
  * Make tdeartwork-dbg depend on tdelibs-dbg to get useful backtraces when
    debugging.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 16 Jan 2007 19:21:21 +0100

tdeartwork (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:30 +0000

tdeartwork (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Compile with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 20:30:07 +0000

tdeartwork (4:3.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  4 Oct 2006 20:38:54 -0400

tdeartwork (4:3.5.4-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: tdeartwork-trinity
Section: tde
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, gettext, sharutils, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies, automake, autoconf, libtool, libltdl-dev
Build-Conflicts: autoconf2.13, nvidia-glx
Standards-Version: 3.8.4

Package: tdeartwork-trinity
Architecture: all
Section: tde
Replaces: kdeartwork-kde3 (<< 4:14.0.0~), kdeartwork-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-kde3 (<< 4:14.0.0~), kdeartwork-trinity (<< 4:14.0.0~)
Depends: ${misc:Depends}, tdeartwork-misc-trinity (>= ${Source-Version}), tdeartwork-emoticons-trinity (>= ${Source-Version}), tdeartwork-style-trinity (>= ${Source-Version}), tdeartwork-theme-icon-trinity (>= ${Source-Version}), tdeartwork-theme-window-trinity (>= ${Source-Version}), tdewallpapers-trinity (>= ${Source-Version}), tdescreensaver-trinity (>= ${Source-Version})
Recommends: tdescreensaver-xsavers-trinity
Description: themes, styles and more from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of artistic extras (themes, widget
 styles, screen savers, wallpaper, icons, emoticons and so on) provided
 with the official release of TDE.
 .
 Homepage: http://artist.kde.org 

Package: tdeartwork-emoticons-trinity
Architecture: all
Section: tde
Replaces: kdeartwork-emoticons-kde3 (<< 4:14.0.0~), kdeartwork-emoticons-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-emoticons-kde3 (<< 4:14.0.0~), kdeartwork-emoticons-trinity (<< 4:14.0.0~)
Enhances: kopete-trinity
Depends: ${misc:Depends}
Description: emoticon collections for TDE chat clients
 This package contains several collections of emoticons used by official
 and unofficial TDE chat clients, such as Kopete and Konversation.
 .
 This package is part of TDE, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-misc-trinity
Architecture: all
Section: tde
Replaces: kdeartwork-misc-kde3 (<< 4:14.0.0~), kdeartwork-misc-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-misc-kde3 (<< 4:14.0.0~), kdeartwork-misc-trinity (<< 4:14.0.0~)
Suggests: kworldclock
Depends: ${misc:Depends}
Description: various multimedia goodies released with TDE
 This package contains miscellaneous multimedia goodies for TDE.
 Included are additional TDE sounds and kworldclock themes.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-style-trinity
Architecture: any
Section: tde
Replaces: kdeartwork-style-kde3 (<< 4:14.0.0~), kdeartwork-style-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-style-kde3 (<< 4:14.0.0~), kdeartwork-style-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: widget styles released with Trinity
 This package contains additional widget styles for Trinity. Widget styles
 can be used to customise the look and feel of interface components such
 as buttons, scrollbars and so on.  They can be applied using the style
 manager in the Trinity Control Centre.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-theme-icon-trinity
Architecture: all
Section: tde
Replaces: kdeartwork-theme-icon-kde3 (<< 4:14.0.0~), kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-theme-icon-kde3 (<< 4:14.0.0~), kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
Conflicts: kbabel-trinity (<< 4:3.5.13.2~), kicker-applets-trinity (<< 4:3.5.13.2~)
Recommends: kdesktop-trinity, kicker-trinity
Depends: ${misc:Depends}
Description: icon themes released with Trinity
 This package contains additional icon themes for Trinity. Icon themes can be
 used to customise the appearance of standard icons throughout TDE. They
 can be applied using the icon manager in the Trinity Control Centre.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-theme-window-trinity
Architecture: any
Section: tde
Replaces: kdeartwork-theme-window-kde3 (<< 4:14.0.0~), kdeartwork-theme-window-trinity (<< 4:14.0.0~)
Breaks: kdeartwork-theme-window-kde3 (<< 4:14.0.0~), kdeartwork-theme-window-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: window decoration themes released with Trinity
 This package contains additional window decoration themes for Trinity. Window
 decoration themes can be used to customise the look of window borders and
 buttons, and can be applied using the window decoration manager in the Trinity
 Control Center.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdewallpapers-trinity
Architecture: all
Section: tde
Replaces: kdewallpapers-kde3 (<< 4:14.0.0~), kdewallpapers-trinity (<< 4:14.0.0~)
Breaks: kdewallpapers-kde3 (<< 4:14.0.0~), kdewallpapers-trinity (<< 4:14.0.0~)
Suggests: twin-trinity | x-window-manager
Depends: ${misc:Depends}
Description: wallpapers released with Trinity
 This package contains additional wallpapers for Trinity. Wallpapers can be
 applied using the background manager in the Trinity Control Centre.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdescreensaver-trinity
Architecture: any
Section: tde
Replaces: kscreensaver-kde3 (<< 4:14.0.0~), kscreensaver-trinity (<< 4:14.0.0~)
Breaks: kscreensaver-kde3 (<< 4:14.0.0~), kscreensaver-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdebase-trinity-bin
Recommends: twin-trinity, tdescreensaver-xsavers-trinity (= ${Source-Version})
Description: additional screen savers released with Trinity
 This package contains the screen savers for Trinity. They can be tested and
 selected within the Appearance and Themes section of the Trinity Control
 Center.
 .
 The hooks for the standard xscreensavers are no longer part of this
 package. To select and/or configure the standard xscreensavers through
 the Trinity Control Center, install the separate package tdescreensaver-xsavers.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdescreensaver-xsavers-trinity
Architecture: any
Section: tde
Replaces: kscreensaver-xsavers-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-trinity (<< 4:14.0.0~)
Breaks: kscreensaver-xsavers-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdebase-trinity-bin, xscreensaver-data
Recommends: twin-trinity, tdescreensaver-trinity (= ${Source-Version}), xscreensaver-gl
Suggests: tdescreensaver-xsavers-webcollage-trinity
Description: Trinity hooks for standard xscreensavers
 This package allows a smooth integration of the standard xscreensavers
 into Trinity. With this package installed you can select and/or configure
 the standard xscreensavers through the Appearances and Themes section of
 the Trinity Control Centre.
 .
 Note that this package does not actually contain any screensavers itself.
 For the additional screensavers shipped with Trinity, see the separate package
 tdescreensaver-trinity. This package does depend on the xscreensaver package, and
 recommend the xscreensaver-gl package, as well as contain the necessary
 files to integrate these packages into Trinity.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdescreensaver-xsavers-webcollage-trinity
Architecture: all
Section: tde
Replaces: kscreensaver-xsavers-webcollage-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-webcollage-trinity (<< 4:14.0.0~)
Breaks: kscreensaver-xsavers-webcollage-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-webcollage-trinity (<< 4:14.0.0~)
Depends: ${misc:Depends}, tdescreensaver-xsavers-extra-trinity, miscfiles | wordlist, netpbm
Description: webcollage screensaver Trinity hook
 This package give access to the webcollage screensaver through the Trinity
 screensaver configuration.
 .
 This screensaver downloads random pictures from the internet and creates
 a collage as screensaver.
 .
 IMPORTANT NOTICE: The internet contains all kinds of pictures, some of which
 you might find inappropriate and offensive.
 You are specially discouraged to install this package if you are using 
 your computer in a working environment or in an environment with children.
 .
 If you still want to install this package, please read the file
 /usr/share/doc/tdescreensaver-xsavers-webcollage/README.Debian after the 
 installation.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdescreensaver-xsavers-extra-trinity
Architecture: all
Section: tde
Replaces: kscreensaver-xsavers-extra-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
Breaks: kscreensaver-xsavers-extra-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, tdescreensaver-xsavers-trinity, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
Recommends: twin-trinity, tdescreensaver-trinity (= ${Source-Version})
Description: Trinity hooks for standard xscreensavers
 This package allows a smooth integration of the universe xscreensavers
 into Trinity. With this package installed you can select and/or configure
 the universe xscreensavers through the Appearances and Themes section of
 the Trinity Control Centre.
 .
 Note that this package does not actually contain any screensavers itself.
 For the additional screensavers shipped with TDE, see the separate package
 tdescreensaver.
 .
 This package is part of Trinity, and a component of the TDE artwork module.
 See the 'tde-trinity' and 'tdeartwork-trinity' packages for more information.

Package: tdeartwork-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdeartwork-kde3-dbg (<< 4:14.0.0~), kdeartwork-trinity-dbg (<< 4:14.0.0~)
Breaks: kdeartwork-kde3-dbg (<< 4:14.0.0~), kdeartwork-trinity-dbg (<< 4:14.0.0~)
Depends: ${misc:Depends}, tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdeartwork-trinity
 This package contains the debugging symbols associated with tdeartwork.
 They will automatically be used by gdb for debugging tdeartwork-related
 issues.

## tdeartwork-trinity 14.0.5

=== debian/changelog ===
tdeartwork-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 04:20:28 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Section: tde
 Replaces: kdeartwork-kde3 (<< 4:14.0.0~), kdeartwork-trinity (<< 4:14.0.0~)
 Breaks: kdeartwork-kde3 (<< 4:14.0.0~), kdeartwork-trinity (<< 4:14.0.0~)
-Depends: ${misc:Depends}, tdeartwork-misc-trinity (>= ${Source-Version}), tdeartwork-emoticons-trinity (>= ${Source-Version}), tdeartwork-style-trinity (>= ${Source-Version}), tdeartwork-theme-icon-trinity (>= ${Source-Version}), tdeartwork-theme-window-trinity (>= ${Source-Version}), tdewallpapers-trinity (>= ${Source-Version}), tdescreensaver-trinity (>= ${Source-Version})
+Depends: ${misc:Depends}, tdeartwork-misc-trinity (>= ${source:Version}), tdeartwork-emoticons-trinity (>= ${source:Version}), tdeartwork-style-trinity (>= ${source:Version}), tdeartwork-theme-icon-trinity (>= ${source:Version}), tdeartwork-theme-window-trinity (>= ${source:Version}), tdewallpapers-trinity (>= ${source:Version}), tdescreensaver-trinity (>= ${source:Version})
 Recommends: tdescreensaver-xsavers-trinity
 Description: themes, styles and more from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -75,7 +75,6 @@
 Section: tde
 Replaces: kdeartwork-theme-icon-kde3 (<< 4:14.0.0~), kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
 Breaks: kdeartwork-theme-icon-kde3 (<< 4:14.0.0~), kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
-Conflicts: kbabel-trinity (<< 4:3.5.13.2~), kicker-applets-trinity (<< 4:3.5.13.2~)
 Recommends: kdesktop-trinity, kicker-trinity
 Depends: ${misc:Depends}
 Description: icon themes released with Trinity
@@ -121,7 +120,7 @@
 Replaces: kscreensaver-kde3 (<< 4:14.0.0~), kscreensaver-trinity (<< 4:14.0.0~)
 Breaks: kscreensaver-kde3 (<< 4:14.0.0~), kscreensaver-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdebase-trinity-bin
-Recommends: twin-trinity, tdescreensaver-xsavers-trinity (= ${Source-Version})
+Recommends: twin-trinity, tdescreensaver-xsavers-trinity (= ${source:Version})
 Description: additional screen savers released with Trinity
  This package contains the screen savers for Trinity. They can be tested and
  selected within the Appearance and Themes section of the Trinity Control
@@ -140,7 +139,7 @@
 Replaces: kscreensaver-xsavers-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-trinity (<< 4:14.0.0~)
 Breaks: kscreensaver-xsavers-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdebase-trinity-bin, xscreensaver-data
-Recommends: twin-trinity, tdescreensaver-trinity (= ${Source-Version}), xscreensaver-gl
+Recommends: twin-trinity, tdescreensaver-trinity (= ${source:Version}), xscreensaver-gl
 Suggests: tdescreensaver-xsavers-webcollage-trinity
 Description: Trinity hooks for standard xscreensavers
  This package allows a smooth integration of the standard xscreensavers
@@ -188,7 +187,7 @@
 Replaces: kscreensaver-xsavers-extra-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
 Breaks: kscreensaver-xsavers-extra-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdescreensaver-xsavers-trinity, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
-Recommends: twin-trinity, tdescreensaver-trinity (= ${Source-Version})
+Recommends: twin-trinity, tdescreensaver-trinity (= ${source:Version})
 Description: Trinity hooks for standard xscreensavers
  This package allows a smooth integration of the universe xscreensavers
  into Trinity. With this package installed you can select and/or configure

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ARTS="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=tdeartwork-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

clean::
	rm -f IconThemes/kdeclassic/22x22/actions/kde/kde.png
	rm -f IconThemes/kdeclassic/32x32/actions/kde/kde.png
	cd tdescreensaver/kxsconfig/ && ./update_hacks.sh

binary-install/tdescreensaver-xsavers-extra-trinity::
	sed -n "s#.*\(/ScreenSavers/.*\.desktop\).*#debian/$(cdbs_curpkg)/opt/trinity/share/applnk/System\1#p" \
	    debian/tdescreensaver-xsavers-trinity.install debian/tdescreensaver-xsavers-webcollage-trinity.install | \
	xargs -r rm -f

## tdeartwork-trinity 14.0.6

=== debian/changelog ===
tdeartwork-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:16:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, gettext, sharutils, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, sharutils, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies, automake, autoconf, libtool, libltdl-dev
 Build-Conflicts: autoconf2.13, nvidia-glx
 Standards-Version: 3.8.4

## tdeartwork-trinity 14.0.8

=== debian/changelog ===
tdeartwork-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, sharutils, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, sharutils, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies, automake, autoconf, libtool, libltdl-dev
 Build-Conflicts: autoconf2.13, nvidia-glx
 Standards-Version: 3.8.4

## tdeartwork-trinity 14.0.9

=== debian/changelog ===
tdeartwork-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:54:17 +0200

## tdeartwork-trinity 14.0.10

=== debian/changelog ===
tdeartwork-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Apr 2021 05:17:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tdeartwork-trinity
 Section: tde
 Priority: optional
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
 Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, sharutils, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies, automake, autoconf, libtool, libltdl-dev

## tdeartwork-trinity 14.0.11

=== debian/changelog ===
tdeartwork-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Oct 2021 09:26:57 +0200

## tdeartwork-trinity 14.0.12

=== debian/changelog ===
tdeartwork-trinity (4:14.0.12-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 29 Mar 2022 09:50:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, sharutils, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies, automake, autoconf, libtool, libltdl-dev
-Build-Conflicts: autoconf2.13, nvidia-glx
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
+Build-Conflicts: nvidia-glx
 Standards-Version: 3.8.4
 
 Package: tdeartwork-trinity

## tdeartwork-trinity 14.1.0

=== IconThemes/CMakeLists.txt ===
#################################################
#
#  (C) 2015 Timothy Pearson
#  kb9vqf@pearsoncomputing.net
#  (C) 2011 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set(ICON_THEMES locolor ikons kdeclassic slick kids )
set(ICON_TYPES actions apps categories devices places mimetypes)
set(ICON_SIZES 16x16 22x22 32x32 48x48 64x64 128x128 scalable)
set(ICON_SUFFIXES png mng svg svgz)

foreach (theme ${ICON_THEMES})
  tde_create_translated_desktop(
    SOURCE ${theme}/index.theme
    DESTINATION ${ICON_INSTALL_DIR}/${theme}
    PO_DIR icon-themes
  )
  foreach(size ${ICON_SIZES})
    foreach(type ${ICON_TYPES})
      foreach(suffix ${ICON_SUFFIXES})
        FILE(GLOB files  "${theme}/${size}/${type}/*.${suffix}" )
        install(FILES ${files} DESTINATION ${ICON_INSTALL_DIR}/${theme}/${size}/${type}/)
      endforeach(suffix ${ICON_SUFFIXES})
    endforeach(type ${ICON_TYPES})
  endforeach(size ${ICON_SIZES})
endforeach (theme ${ICON_THEMES})

=== debian/changelog ===
tdeartwork-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
 Build-Conflicts: nvidia-glx
 Standards-Version: 3.8.4

## tdeartwork-trinity 14.1.1

=== debian/changelog ===
tdeartwork-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 05:13:06 +0200

## tdeartwork-trinity 14.1.2

=== debian/changelog ===
tdeartwork-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 00:43:32 +0200

## tdeartwork-trinity 14.1.3

=== debian/changelog ===
tdeartwork-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:33 +0200

## tdeartwork-trinity 14.1.4

=== debian/changelog ===
tdeartwork-trinity (4:14.1.4-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 15 Apr 2025 23:35:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev, twin-trinity, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, xscreensaver, xscreensaver-gl, xscreensaver-data, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
 Build-Conflicts: nvidia-glx
 Standards-Version: 3.8.4
 
 Package: tdeartwork-trinity
 Architecture: all
 Section: tde
-Replaces: kdeartwork-kde3 (<< 4:14.0.0~), kdeartwork-trinity (<< 4:14.0.0~)
-Breaks: kdeartwork-kde3 (<< 4:14.0.0~), kdeartwork-trinity (<< 4:14.0.0~)
+Replaces: kdeartwork-trinity (<< 4:14.0.0~)
+Breaks: kdeartwork-trinity (<< 4:14.0.0~)
 Depends: ${misc:Depends}, tdeartwork-misc-trinity (>= ${source:Version}), tdeartwork-emoticons-trinity (>= ${source:Version}), tdeartwork-style-trinity (>= ${source:Version}), tdeartwork-theme-icon-trinity (>= ${source:Version}), tdeartwork-theme-window-trinity (>= ${source:Version}), tdewallpapers-trinity (>= ${source:Version}), tdescreensaver-trinity (>= ${source:Version})
 Recommends: tdescreensaver-xsavers-trinity
 Description: themes, styles and more from the official Trinity release
@@ -30,8 +30,8 @@
 Package: tdeartwork-emoticons-trinity
 Architecture: all
 Section: tde
-Replaces: kdeartwork-emoticons-kde3 (<< 4:14.0.0~), kdeartwork-emoticons-trinity (<< 4:14.0.0~)
-Breaks: kdeartwork-emoticons-kde3 (<< 4:14.0.0~), kdeartwork-emoticons-trinity (<< 4:14.0.0~)
+Replaces: kdeartwork-emoticons-trinity (<< 4:14.0.0~)
+Breaks: kdeartwork-emoticons-trinity (<< 4:14.0.0~)
 Enhances: kopete-trinity
 Depends: ${misc:Depends}
 Description: emoticon collections for TDE chat clients
@@ -44,8 +44,8 @@
 Package: tdeartwork-misc-trinity
 Architecture: all
 Section: tde
-Replaces: kdeartwork-misc-kde3 (<< 4:14.0.0~), kdeartwork-misc-trinity (<< 4:14.0.0~)
-Breaks: kdeartwork-misc-kde3 (<< 4:14.0.0~), kdeartwork-misc-trinity (<< 4:14.0.0~)
+Replaces: kdeartwork-misc-trinity (<< 4:14.0.0~)
+Breaks: kdeartwork-misc-trinity (<< 4:14.0.0~)
 Suggests: kworldclock
 Depends: ${misc:Depends}
 Description: various multimedia goodies released with TDE
@@ -58,8 +58,8 @@
 Package: tdeartwork-style-trinity
 Architecture: any
 Section: tde
-Replaces: kdeartwork-style-kde3 (<< 4:14.0.0~), kdeartwork-style-trinity (<< 4:14.0.0~)
-Breaks: kdeartwork-style-kde3 (<< 4:14.0.0~), kdeartwork-style-trinity (<< 4:14.0.0~)
+Replaces: kdeartwork-style-trinity (<< 4:14.0.0~)
+Breaks: kdeartwork-style-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: widget styles released with Trinity
  This package contains additional widget styles for Trinity. Widget styles
@@ -73,8 +73,8 @@
 Package: tdeartwork-theme-icon-trinity
 Architecture: all
 Section: tde
-Replaces: kdeartwork-theme-icon-kde3 (<< 4:14.0.0~), kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
-Breaks: kdeartwork-theme-icon-kde3 (<< 4:14.0.0~), kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
+Replaces: kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
+Breaks: kdeartwork-theme-icon-trinity (<< 4:14.0.0~)
 Recommends: kdesktop-trinity, kicker-trinity
 Depends: ${misc:Depends}
 Description: icon themes released with Trinity
@@ -88,8 +88,8 @@
 Package: tdeartwork-theme-window-trinity
 Architecture: any
 Section: tde
-Replaces: kdeartwork-theme-window-kde3 (<< 4:14.0.0~), kdeartwork-theme-window-trinity (<< 4:14.0.0~)
-Breaks: kdeartwork-theme-window-kde3 (<< 4:14.0.0~), kdeartwork-theme-window-trinity (<< 4:14.0.0~)
+Replaces: kdeartwork-theme-window-trinity (<< 4:14.0.0~)
+Breaks: kdeartwork-theme-window-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: window decoration themes released with Trinity
  This package contains additional window decoration themes for Trinity. Window
@@ -103,8 +103,8 @@
 Package: tdewallpapers-trinity
 Architecture: all
 Section: tde
-Replaces: kdewallpapers-kde3 (<< 4:14.0.0~), kdewallpapers-trinity (<< 4:14.0.0~)
-Breaks: kdewallpapers-kde3 (<< 4:14.0.0~), kdewallpapers-trinity (<< 4:14.0.0~)
+Replaces: kdewallpapers-trinity (<< 4:14.0.0~)
+Breaks: kdewallpapers-trinity (<< 4:14.0.0~)
 Suggests: twin-trinity | x-window-manager
 Depends: ${misc:Depends}
 Description: wallpapers released with Trinity
@@ -117,8 +117,8 @@
 Package: tdescreensaver-trinity
 Architecture: any
 Section: tde
-Replaces: kscreensaver-kde3 (<< 4:14.0.0~), kscreensaver-trinity (<< 4:14.0.0~)
-Breaks: kscreensaver-kde3 (<< 4:14.0.0~), kscreensaver-trinity (<< 4:14.0.0~)
+Replaces: kscreensaver-trinity (<< 4:14.0.0~)
+Breaks: kscreensaver-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdebase-trinity-bin
 Recommends: twin-trinity, tdescreensaver-xsavers-trinity (= ${source:Version})
 Description: additional screen savers released with Trinity
@@ -136,8 +136,8 @@
 Package: tdescreensaver-xsavers-trinity
 Architecture: any
 Section: tde
-Replaces: kscreensaver-xsavers-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-trinity (<< 4:14.0.0~)
-Breaks: kscreensaver-xsavers-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-trinity (<< 4:14.0.0~)
+Replaces: kscreensaver-xsavers-trinity (<< 4:14.0.0~)
+Breaks: kscreensaver-xsavers-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdebase-trinity-bin, xscreensaver-data
 Recommends: twin-trinity, tdescreensaver-trinity (= ${source:Version}), xscreensaver-gl
 Suggests: tdescreensaver-xsavers-webcollage-trinity
@@ -159,8 +159,8 @@
 Package: tdescreensaver-xsavers-webcollage-trinity
 Architecture: all
 Section: tde
-Replaces: kscreensaver-xsavers-webcollage-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-webcollage-trinity (<< 4:14.0.0~)
-Breaks: kscreensaver-xsavers-webcollage-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-webcollage-trinity (<< 4:14.0.0~)
+Replaces: kscreensaver-xsavers-webcollage-trinity (<< 4:14.0.0~)
+Breaks: kscreensaver-xsavers-webcollage-trinity (<< 4:14.0.0~)
 Depends: ${misc:Depends}, tdescreensaver-xsavers-extra-trinity, miscfiles | wordlist, netpbm
 Description: webcollage screensaver Trinity hook
  This package give access to the webcollage screensaver through the Trinity
@@ -184,8 +184,8 @@
 Package: tdescreensaver-xsavers-extra-trinity
 Architecture: all
 Section: tde
-Replaces: kscreensaver-xsavers-extra-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
-Breaks: kscreensaver-xsavers-extra-kde3 (<< 4:14.0.0~), kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
+Replaces: kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
+Breaks: kscreensaver-xsavers-extra-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, tdescreensaver-xsavers-trinity, xscreensaver-data-extra, xscreensaver-gl-extra, rss-glx, fireflies
 Recommends: twin-trinity, tdescreensaver-trinity (= ${source:Version})
 Description: Trinity hooks for standard xscreensavers
@@ -204,8 +204,8 @@
 Package: tdeartwork-trinity-dbg
 Section: libdevel
 Architecture: any
-Replaces: kdeartwork-kde3-dbg (<< 4:14.0.0~), kdeartwork-trinity-dbg (<< 4:14.0.0~)
-Breaks: kdeartwork-kde3-dbg (<< 4:14.0.0~), kdeartwork-trinity-dbg (<< 4:14.0.0~)
+Replaces: kdeartwork-trinity-dbg (<< 4:14.0.0~)
+Breaks: kdeartwork-trinity-dbg (<< 4:14.0.0~)
 Depends: ${misc:Depends}, tdelibs-trinity-dbg
 Priority: extra
 Description: debugging symbols for tdeartwork-trinity

## tdeartwork-trinity 14.1.5~pre12

=== debian/changelog ===
tdeartwork-trinity (4:14.1.5~pre12-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 89c2adc700535f2a652bbf2222a3cb9b80f4f270
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdeartwork

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
